Subject: Bug#516: [X2Go-Dev] Bug#516: Bug#516: [PATCH 1/5] Create Windows on Big Endian 64bit systems

From: sebastien chabrolles <[email-masked]>
Date: Sat, 21 Jun 2014 23:05:49 +0100

Hi all,

I just test on the Power8 system and It works !!!!!!!

Many thanks to all of you for your help; Especially to Mihai "the Endian bug killer" for his fantastic work. 

--- 
Sébastien Chabrolles 
Power Systems Benchmark Specialist
IBM Client Center, Montpellier 
1 rue vieille poste 34000 Montpellier FRANCE 
Tel +33 4 67 34 40 95 
Email : [email-masked]

> Le 21 juin 2014 à 22:30, "Mike Gabriel" <[email-masked]> a écrit :
> 
> Hi Mihai,
> 
> thanks for digging into this. I wish you could work more on NX!!! Good work!!!
> 
> On  Sa 21 Jun 2014 05:15:43 CEST, Mihai Moldovan wrote:
> 
> > An endiannes issue was setting incorrect event masks when creating
> > X11 windows.
> >
> > This time, a smaller integer has been casted to a bigger one and
> > passed to some
> > function actually setting its value.
> >
> > This meant, that garbage from stack was attached to the smaller
> > integer value,
> > putting unknown memory into the lower bytes of the bigger integer.
> >
> > Fix this by creating a big, initialized temporary variable, let the
> > function do
> > its magic on that one and pass the value back to the smaller variable -- and
> > cross your fingers the smaller variable can hold it without overrunning. (The
> > last bit is a design issue we can't really fix and has been around
> > even before
> > this patch.)
> 
> I have a question on this patch. While integrating it into the
> nx-libs.git repo, I realized, that it can be applied to Windows.c
> twice. Once at the position that you provide in the patch file,
> another (second) time around line 2895...
> 
> """
> mike@minobo:~/MyDocuments/4projects/x2go-upstream/nx-libs$ patch -p1 <
> nxagent_Window.c-ppc64-create-windows.patch
> patching file nx-X11/programs/Xserver/hw/nxagent/Window.c
> Hunk #1 succeeded at 2894 (offset 2559 lines).
> """
> 
> Maybe the same patch is needed at that second position?
> 
> Mike
> 
> --
> 
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
> 
> GnuPG Key ID 0x25771B31
> mail: [email-masked], http://das-netzwerkteam.de
> 
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> http://lists.x2go.org/listinfo/x2go-dev